## org.eclipse.emf.ecore.impl
Class EClassifierImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl

All Implemented Interfaces:
  Notifier, EClassifier, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder

Direct Known Subclasses:
  EClassImpl, EDataTypeImpl

    public abstract class EClassifierImpl

extends ENamedElementImpl
implements EClassifier, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder

An implementation of the model object 'EMeta Object'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.Object` `DEFAULT_VALUE_EDEFAULT` The default value of the '`Default Value`' attribute
`protected BasicExtendedMetaData.EClassifierExtendedMetaData` `eClassifierExtendedMetaData`
`protected EList<ETypeParameter>` `eTypeParameters` The cached value of the '`EType Parameters`' containment reference list
`protected java.lang.String` `generatedInstanceClassName`
`protected static java.lang.Class<?>` `INSTANCE_CLASS_EDEFAULT` The default value of the '`Instance Class`' attribute.
`protected static java.lang.String` `INSTANCE_CLASS_NAME_EDEFAULT` The default value of the '`Instance Class Name`' attribute
`protected java.lang.Class<?>` `instanceClass` The cached value of the '`Instance Class`' attribute.
`protected java.lang.String` `instanceClassName` The cached value of the '`Instance Class Name`' attribute
`protected java.lang.String` `instanceTypeName` The cached value of the '`Instance Type Name`' attribute
`protected int` `metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EClassifierImpl()`

Method Summary
`EPackage` `basicGetEPackage()`
`protected void` `basicSetInstanceClassName(java.lang.String value)`
`protected void` `basicSetInstanceTypeName(java.lang.String newInstanceTypeName)`
`protected boolean` `dynamicIsInstance(EObject eObject)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`protected void` `eBasicSetContainer(InternalEObject newContainer, int newContainerFeatureID)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected java.lang.Class<?>` `getClassForName(java.lang.String name)` Returns the `Class` object associated with the class or interface with the given name, as from a `Class.forName(String)` call; however, if this classifier belongs to a package, that package's class loader is used.
`int` `getClassifierID()`
`java.lang.Object` `getDefaultValue()` Returns the value of the 'Default Value' attribute
`EPackage` `getEPackage()` Returns the value of the 'EPackage' container reference.
`EPackage` `getEPackageGen()`
`EList<ETypeParameter>` `getETypeParameters()`
`BasicExtendedMetaData.EClassifierExtendedMetaData` `getExtendedMetaData()`
`java.lang.Class<?>` `getInstanceClass()` Returns the value of the 'Instance Class' attribute
`java.lang.Class<?>` `getInstanceClassGen()`
`java.lang.String` `getInstanceClassName()` Returns the value of the 'Instance Class Name' attribute
`java.lang.String` `getInstanceClassNameGen()` Deprecated.
`java.lang.String` `getInstanceTypeName()`
`protected java.lang.Class<?>` `getPrimitiveOrArrayClass()`
`boolean` `isInstance(java.lang.Object object)` Returns whether the object is an instance of this classifier.
`boolean` `isSetInstanceClassName()`
`boolean` `isSetInstanceTypeName()`
`void` `setClassifierID(int id)`
`void` `setExtendedMetaData(BasicExtendedMetaData.EClassifierExtendedMetaData eClassifierExtendedMetaData)`
`void` `setGeneratedInstanceClass(boolean isGenerated)`
`void` `setInstanceClass(java.lang.Class<?> value)` Sets the value of the '`Instance Class`' attribute.
`void` `setInstanceClassGen(java.lang.Class<?> newInstanceClass)`
`void` `setInstanceClassName(java.lang.String value)` Sets the value of the '`Instance Class Name`' attribute
`void` `setInstanceClassNameGen(java.lang.String newInstanceClassName)`
`void` `setInstanceTypeName(java.lang.String newInstanceTypeName)`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`
`void` `unsetInstanceClassName()`
`void` `unsetInstanceTypeName()`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### metaObjectID

    protected int metaObjectID

### INSTANCE_CLASS_NAME_EDEFAULT

    protected static final java.lang.String INSTANCE_CLASS_NAME_EDEFAULT

  The default value of the '`Instance Class Name`' attribute.

  See Also:
    `getInstanceClassName()`

### instanceClassName

    protected java.lang.String instanceClassName

  The cached value of the '`Instance Class Name`' attribute.

  See Also:
    `getInstanceClassName()`

### generatedInstanceClassName

    protected java.lang.String generatedInstanceClassName

### INSTANCE_CLASS_EDEFAULT

    protected static final java.lang.Class<?> INSTANCE_CLASS_EDEFAULT

  The default value of the '`Instance Class`' attribute.

  See Also:
    `getInstanceClass()`

### DEFAULT_VALUE_EDEFAULT

    protected static final java.lang.Object DEFAULT_VALUE_EDEFAULT

  The default value of the '`Default Value`' attribute.

  See Also:
    `getDefaultValue()`

### instanceTypeName

    protected java.lang.String instanceTypeName

  The cached value of the '`Instance Type Name`' attribute.

  See Also:
    `getInstanceTypeName()`

### eTypeParameters

    protected EList<ETypeParameter> eTypeParameters

  The cached value of the '`EType Parameters`' containment reference list.

  See Also:
    `getETypeParameters()`

### instanceClass

    protected java.lang.Class<?> instanceClass

  The cached value of the '`Instance Class`' attribute.

  See Also:
    `getInstanceClass()`

### eClassifierExtendedMetaData

    protected BasicExtendedMetaData.EClassifierExtendedMetaData eClassifierExtendedMetaData

Constructor Detail

### EClassifierImpl

    protected EClassifierImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ENamedElementImpl`

### getClassifierID

    public int getClassifierID()

  Specified by:
    `getClassifierID` in interface `EClassifier`
  Returns:
    the relative ID.

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### setClassifierID

    public void setClassifierID(int id)

### isInstance

    public boolean isInstance(java.lang.Object object)

  Returns whether the object is an instance of this classifier.

  Specified by:
    `isInstance` in interface `EClassifier`
  Parameters:
    `object` - the object in question.
  Returns:
    whether the object is an instance.
  See Also:
    `Class.isInstance(java.lang.Object)`

### dynamicIsInstance

    protected boolean dynamicIsInstance(EObject eObject)

### getInstanceClassNameGen

    @Deprecated
    public java.lang.String getInstanceClassNameGen()

  Deprecated.

### getInstanceClassName

    public java.lang.String getInstanceClassName()

  Description copied from interface: `EClassifier`
  Returns the value of the 'Instance Class Name' attribute.

  It represents the name of the Java instance class that this meta object represents.

  Specified by:
    `getInstanceClassName` in interface `EClassifier`
  Returns:
    the value of the 'Instance Class Name' attribute.
  See Also:
    `EClassifier.getInstanceClass()`, `EClassifier.setInstanceClassName(String)`, `EcorePackage.getEClassifier_InstanceClassName()`

### setGeneratedInstanceClass

    public void setGeneratedInstanceClass(boolean isGenerated)

### basicSetInstanceClassName

    protected void basicSetInstanceClassName(java.lang.String value)

### setInstanceClassName

    public void setInstanceClassName(java.lang.String value)

  Description copied from interface: `EClassifier`
  Sets the value of the '`Instance Class Name`' attribute.

  Specified by:
    `setInstanceClassName` in interface `EClassifier`
  Parameters:
    `value` - the new value of the 'Instance Class Name' attribute.
  See Also:
    `EClassifier.getInstanceClassName()`

### setInstanceClassNameGen

    public void setInstanceClassNameGen(java.lang.String newInstanceClassName)

### unsetInstanceClassName

    public void unsetInstanceClassName()

### isSetInstanceClassName

    public boolean isSetInstanceClassName()

### getInstanceClass

    public java.lang.Class<?> getInstanceClass()

  Description copied from interface: `EClassifier`
  Returns the value of the 'Instance Class' attribute.

  It represents the actual Java instance class that this meta object represents.

  Specified by:
    `getInstanceClass` in interface `EClassifier`
  Returns:
    the value of the 'Instance Class' attribute.
  See Also:
    `EClassifier.setInstanceClass(Class)`, `EcorePackage.getEClassifier_InstanceClass()`

### getClassForName

    protected java.lang.Class<?> getClassForName(java.lang.String name)
                                          throws java.lang.ClassNotFoundException

  Returns the `Class` object associated with the class or interface with the given name, as from a `Class.forName(String)` call; however, if this classifier belongs to a package, that package's class loader is used. Since the package may be model-specific code in another plug-in, its class loader may be able to see classes that Ecore's can't.

  Throws:
    `java.lang.ClassNotFoundException`

### getPrimitiveOrArrayClass

    protected java.lang.Class<?> getPrimitiveOrArrayClass()

### getInstanceClassGen

    public java.lang.Class<?> getInstanceClassGen()

### setInstanceClass

    public void setInstanceClass(java.lang.Class<?> value)

  Description copied from interface: `EClassifier`
  Sets the value of the '`Instance Class`' attribute.

  Specified by:
    `setInstanceClass` in interface `EClassifier`
  Parameters:
    `value` - the new value of the 'Instance Class' attribute.
  See Also:
    `EClassifier.getInstanceClass()`

### setInstanceClassGen

    public void setInstanceClassGen(java.lang.Class<?> newInstanceClass)

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Description copied from interface: `EClassifier`
  Returns the value of the 'Default Value' attribute.

  The default value for the type, in the Java sense. For primitive types, it will be the Java primitive default wrapped appropriately. For `enums`, it will be the first enumerator. And for all other types derived from `java.lang.Object`, it will be null.

  Specified by:
    `getDefaultValue` in interface `EClassifier`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `EcorePackage.getEClassifier_DefaultValue()`

### getInstanceTypeName

    public java.lang.String getInstanceTypeName()

  Specified by:
    `getInstanceTypeName` in interface `EClassifier`
  Returns:
    the value of the 'Instance Type Name' attribute.
  See Also:
    `EClassifier.setInstanceTypeName(String)`, `EcorePackage.getEClassifier_InstanceTypeName()`

### setInstanceTypeName

    public void setInstanceTypeName(java.lang.String newInstanceTypeName)

  Specified by:
    `setInstanceTypeName` in interface `EClassifier`
  Parameters:
    `newInstanceTypeName` - the new value of the 'Instance Type Name' attribute.
  See Also:
    `EClassifier.getInstanceTypeName()`

### basicSetInstanceTypeName

    protected void basicSetInstanceTypeName(java.lang.String newInstanceTypeName)

### unsetInstanceTypeName

    public void unsetInstanceTypeName()

### isSetInstanceTypeName

    public boolean isSetInstanceTypeName()

### getEPackageGen

    public EPackage getEPackageGen()

### getEPackage

    public EPackage getEPackage()

  Description copied from interface: `EClassifier`
  Returns the value of the 'EPackage' container reference. It is bidirectional and its opposite is '`EClassifiers`'.

  Specified by:
    `getEPackage` in interface `EClassifier`
  Returns:
    the value of the 'EPackage' container reference.
  See Also:
    `EcorePackage.getEClassifier_EPackage()`, `EPackage.getEClassifiers()`

### eBasicSetContainer

    protected void eBasicSetContainer(InternalEObject newContainer,
                                      int newContainerFeatureID)

  Overrides:
    `eBasicSetContainer` in class `MinimalEObjectImpl`

### basicGetEPackage

    public EPackage basicGetEPackage()

### getETypeParameters

    public EList<ETypeParameter> getETypeParameters()

  Specified by:
    `getETypeParameters` in interface `EClassifier`
  Returns:
    the value of the 'EType Parameters' containment reference list.
  See Also:
    `EcorePackage.getEClassifier_ETypeParameters()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ENamedElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ENamedElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ENamedElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getExtendedMetaData

    public BasicExtendedMetaData.EClassifierExtendedMetaData getExtendedMetaData()

  Specified by:
    `getExtendedMetaData` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData.Holder`

### setExtendedMetaData

    public void setExtendedMetaData(BasicExtendedMetaData.EClassifierExtendedMetaData eClassifierExtendedMetaData)

  Specified by:
    `setExtendedMetaData` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData.Holder`

### setName

    public void setName(java.lang.String newName)

  Description copied from class: `ENamedElementImpl`

  Specified by:
    `setName` in interface `ENamedElement`
  Overrides:
    `setName` in class `ENamedElementImpl`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ENamedElement.getName()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.